%define oname konsole

Summary:	A terminal emulator similar to xterm for Plasma 5
Name:		plasma5-%{oname}
Version:	17.12.3
Release:	1
Epoch:		1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://konsole.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
Source1:	%{name}.rpmlintrc
# KDE #347715, https://git.reviewboard.kde.org/r/124132/
Patch0:		konsole-15.12.0-krun-openurl.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5bookmarks-devel
BuildRequires:	kf5completion-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5guiaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5init-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5notifyconfig-devel
BuildRequires:	kf5parts-devel
BuildRequires:	kf5pty-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5textwidgets-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(x11)
Requires:	keditbookmarks
Requires:	x11-font-misc-misc
Conflicts:	konsole
Conflicts:	kde5-l10n < 17.04

%description
A terminal emulator, similar to xterm, for Plasma 5.

%files -f %{oname}.lang
%doc README COPYING COPYING.DOC COPYING.LIB doc/*
%{_kde5_applicationsdir}/org.kde.konsole.desktop
%{_kde5_bindir}/konsole
%{_kde5_bindir}/konsoleprofile
%{_kde5_datadir}/konsole
%{_kde5_libdir}/libkdeinit5_konsole.so
%{_kde5_notificationsdir}/konsole.notifyrc
%{_kde5_services}/konsolepart.desktop
%{_kde5_services}/ServiceMenus/konsolehere.desktop
%{_kde5_services}/ServiceMenus/konsolerun.desktop
%{_kde5_servicetypes}/terminalemulator.desktop
%{_appdatadir}/org.kde.konsole.appdata.xml
%{_qt5_plugindir}/konsolepart.so

#----------------------------------------------------------------------------

%define konsoleprivate_major 17
%define libkonsoleprivate %mklibname konsoleprivate %{konsoleprivate_major}

%package -n %{libkonsoleprivate}
Summary:	Shared library for Konsole
Group:		System/Libraries

%description -n %{libkonsoleprivate}
Shared library for Konsole.

%files -n %{libkonsoleprivate}
%{_kde5_libdir}/libkonsoleprivate.so.%{konsoleprivate_major}*

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{oname} --with-kde --with-html
%kf5locales_fix %{oname}.lang


%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:17.12.3-1
- (4d2498b) New version 17.12.3

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:17.08.2-1
- (2bdba38) New version 17.08.2

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:17.04.3-1
- (c73d634) New version 17.04.3

* Thu Jun 29 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:17.04.2-1
- (665e6d4) Merge locales from kde5-l10n
- (665e6d4) New library major 17
- (Andrey Bondrov: 322890a) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:16.12.3-1
- (b2e9085) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:16.12.2-1
- (8a912a7) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:16.12.1-3
- (edd1b5a) MassBuild#1230: Increase release tag

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:16.12.1-2
- (056fb5a) Requires keditbookmarks

* Sat Jan 28 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:16.12.1-1
- (a87b72d) New version 16.12.1

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:16.08.2-2
- (192cb39) MassBuild#1212: Increase release tag

* Sat Oct 29 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:16.08.2-1
- (833c6c6) Update files
- (Andrey Bondrov: 7f0e310) New version 16.08.2

* Tue Oct 25 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:16.04.3-2
- (f6b567a) Use _appdatadir macro
- (Andrey Bondrov: 2655bc8) MassBuild#1169: Increase release tag

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:16.04.3-1
- (26b7609) New version 16.04.3

* Mon Jun 20 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:16.04.2-1
- (e643fac) New private library major 16
- (Andrey Bondrov: b533c08) New version 16.04.2

* Mon Mar 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:15.12.3-1
- (1cc6fd8) New version 15.12.3

* Mon Mar 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:15.12.2-1
- (8d05b22) New version 15.12.3
- (Andrey Bondrov: b7685fa) New version 15.12.2

* Wed Jan 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:15.12.1-1
- (03556ad) New version 15.12.1

* Sat Jan 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:15.12.0-1
- (42328bb) Re-diff openurl patch
- (Andrey Bondrov: c0d021b) New version 15.12.0

* Mon Nov 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:15.08.3-1
- (93ba54e) New version 15.08.3

* Thu Oct 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:15.08.2-1
- (ecd0cda) New version 15.08.2

* Wed Sep 16 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:15.08.1-1
- (a424100) New version 15.08.1

* Thu Aug 20 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:15.08.0-1
- (309cc6c) New version 15.08.0
- (309cc6c) Drop merged patch

* Thu Jul 02 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:15.04.3-1
- (d0a9fe6) New version 15.04.3

* Mon Jun 22 2015 abondrov <andrey.bondrov@rosalab.ru> 1:15.04.2-2
- (11e41a0) Add patch to fix freeze when opening URLs (KDE bug 347715)


